Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

Ambari Agent Not Starting

avatar
Contributor

Hi,

We are using Ambari server 2.6.2 and Ambari agent 2.6.2. We are using Ubuntu 14.04 LTS.

We have upgraded Python version from Python-2.7.6 to Python-2.7.9 on Ambari server and Ambari Agent.

After starting Ambari server and Ambari agent, in Ambari server log we got following error:

18 Jul 2018 05:08:32,247  INFO [qtp-ambari-agent-18471] HeartBeatHandler:385 - agentOsType = debianjessie/sid
18 Jul 2018 05:08:32,247  WARN [qtp-ambari-agent-18471] HeartBeatHandler:387 - Received registration request from host with not supported os type, hostname=worker1.org, serverOsType=ubuntu14, agentOsType=debianjessie/sid
18 Jul 2018 07:32:53,177  WARN [ambari-client-thread-35] Errors:173 - The following warnings have been detected with resource and/or provider classes:
 WARNING: A HTTP GET method, public javax.ws.rs.core.Response org.apache.ambari.server.api.services.ComponentService.getComponents(java.lang.String,javax.ws.rs.core.HttpHeaders,javax.ws.rs.core.UriInfo,java.lang.String), should not consume any entity.
 WARNING: A HTTP GET method, public javax.ws.rs.core.Response org.apache.ambari.server.api.services.ComponentService.getComponent(java.lang.String,javax.ws.rs.core.HttpHeaders,javax.ws.rs.core.UriInfo,java.lang.String,java.lang.String), should not consume any entity.
18 Jul 2018 07:33:52,062  WARN [qtp-ambari-agent-82] SecurityFilter:103 - Request https://172.17.20.29:8440/ca doesn't match any pattern.
18 Jul 2018 07:33:52,063  WARN [qtp-ambari-agent-82] SecurityFilter:62 - This request is not allowed on this port: https://172.17.20.29:8440/ca
18 Jul 2018 07:33:54,768  INFO [qtp-ambari-agent-82] HeartBeatHandler:385 - agentOsType = debianjessie/sid
18 Jul 2018 07:33:54,768  WARN [qtp-ambari-agent-82] HeartBeatHandler:387 - Received registration request from host with not supported os type, hostname=hadmgrndcc03-1.lifeway.org, serverOsType=ubuntu14, agentOsType=debianjessie/sid

Ambari agent is not starting due above error.

How to resolve it? We need Python-2.7.9 in our cluster.

Please suggest.

Thanks in advance.

1 ACCEPTED SOLUTION

avatar
Contributor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
5 REPLIES 5

avatar
Contributor

avatar

@Bhushan Kandalkar

It seems the OS type is not supported. Agent os type: debianjessie/sid

18Jul201807:33:54,768 WARN [qtp-ambari-agent-82]HeartBeatHandler:387-Received registration request from host withnot supported os type, hostname=hadmgrndcc03-1.lifeway.org, serverOsType=ubuntu14, agentOsType=debianjessie/sid

avatar
Contributor

@Sandeep Nemuri, on Python 2.7.6 all agents are able to communicate with Ambari server. But when we upgrade Python to Python 2.7.9 we get this OS error. Could you please suggest why we are getting error after upgrading to Python 2.7.9?

avatar

@Bhushan Kandalkar So the issue is with how python returns the os name. You can see the full details in this SO thread. If you want a new python version you can use anaconda and install the python in another path and leave the default one as it is.

avatar
Contributor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login